﻿<Project Sdk="Microsoft.NET.Sdk">
	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<GenerateAssemblyInfo>false</GenerateAssemblyInfo>
		<GenerateRuntimeConfigurationFiles>true</GenerateRuntimeConfigurationFiles>
		<IsTestingPlatformApplication>false</IsTestingPlatformApplication>
	</PropertyGroup>
	<ItemGroup>
		<ProjectReference Include="..\..\StudioKit.Caching\StudioKit.Caching.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Caliper.Interfaces\StudioKit.Caliper.Interfaces.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Data\StudioKit.Data.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Data.Entity.Identity\StudioKit.Data.Entity.Identity.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ErrorHandling\StudioKit.ErrorHandling.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ErrorHandling.Interfaces\StudioKit.ErrorHandling.Interfaces.csproj"/>
		<ProjectReference Include="..\StudioKit.ExternalProvider.Lti.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ExternalProvider\StudioKit.ExternalProvider.csproj"/>
		<ProjectReference Include="..\..\StudioKit.ExternalProvider\Tests\StudioKit.ExternalProvider.Tests.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Scaffolding\StudioKit.Scaffolding.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Security\StudioKit.Security.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Sharding\StudioKit.Sharding.csproj"/>
		<ProjectReference Include="..\..\StudioKit.TransientFaultHandling.Http\StudioKit.TransientFaultHandling.Http.csproj"/>
		<ProjectReference Include="..\..\StudioKit.Utilities\StudioKit.Utilities.csproj"/>
	</ItemGroup>
	<ItemGroup>
		<PackageReference Include="Microsoft.NET.Test.Sdk" Version="17.11.1"/>
		<PackageReference Include="MSTest.TestFramework" Version="3.6.1"/>
	</ItemGroup>
</Project>
